test: w98/lh_open/pi_valid.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# pi_valid.c File Reference

`#include "General.h"`

Go to the source code of this file.

## Functions

PI_Boolean | CMValInput (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValDisplay (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValOutput (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValLink (CMProfileRef prof)
PI_Boolean | CMValColorSpace (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValAbstract (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValNamed (CMProfileRef prof, icHeader *aHeader)
PI_Boolean | CMValGray (CMProfileRef prof)
PI_Boolean | CMValRGB (CMProfileRef prof)
PI_Boolean | CMValAToB (CMProfileRef prof)
PI_Boolean | CMValBToA (CMProfileRef prof)
PI_Boolean | CMValMftOutput (CMProfileRef prof)
CMError | CMValidateProfile (CMProfileRef prof, PI_Boolean *valid)

## Function Documentation

PI_Boolean CMValAbstract | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValAToB | ( | CMProfileRef | prof | ) |

| Referenced by CMValAbstract(), and CMValInput().

PI_Boolean CMValBToA | ( | CMProfileRef | prof | ) |

| Referenced by CMValDisplay().

PI_Boolean CMValColorSpace | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValDisplay | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValGray | ( | CMProfileRef | prof | ) |

| Referenced by CMValDisplay(), CMValInput(), and CMValOutput().

CMError CMValidateProfile | ( | CMProfileRef | prof,
|  | PI_Boolean * | valid
| ) |

Definition at line 302 of file w98/lh_open/pi_valid.c.

References CMError, CMGetProfileHeader(), cmProfileError, CMProfileRef, CMValAbstract(), CMValColorSpace(), CMValDisplay(), CMValInput(), CMValLink(), CMValNamed(), CMValOutput(), icHeader::deviceClass, FALSE, icSigAbstractClass, icSigColorSpaceClass, icSigDisplayClass, icSigInputClass, icSigLinkClass, icSigNamedColorClass, icSigOutputClass, icVersionNumber, noErr, and icHeader::version.

    00304 {
    00305         CMError err = noErr;
    00306         icHeader aHeader;
    00307
    00308         *valid = FALSE;
    00309         err = CMGetProfileHeader((CMProfileRef)prof, &aHeader);
    00310
    00311         if (!err)
    00312         {
    00313                 if ((aHeader.version & 0xff000000) >= icVersionNumber ){
    00314                         switch (aHeader.deviceClass)
    00315                           {
    00316                                 case icSigInputClass:
    00317                                 *valid = CMValInput(prof, &aHeader );
    00318                                 break;
    00319
    00320                                 case icSigDisplayClass:
    00321                                 *valid = CMValDisplay(prof, &aHeader );
    00322                                 break;
    00323
    00324                                 case icSigOutputClass:
    00325                                 *valid = CMValOutput(prof, &aHeader );
    00326                                 break;
    00327
    00328                                 case icSigLinkClass:
    00329                                 *valid = CMValLink(prof);
    00330                                 break;
    00331
    00332                                 case icSigColorSpaceClass:
    00333                                 *valid = CMValColorSpace(prof, &aHeader );
    00334                                 break;
    00335
    00336                                 case icSigAbstractClass:
    00337                                 *valid = CMValAbstract(prof, &aHeader );
    00338                                 break;
    00339
    00340                                 case icSigNamedColorClass:
    00341                                 *valid = CMValNamed(prof, &aHeader );
    00342                                 break;
    00343
    00344                                 default:
    00345                                 *valid = FALSE;
    00346                           }
    00347
    00348                 }
    00349                 else
    00350                 {                                                                               /* unknown profile */
    00351                         *valid = FALSE;
    00352                         return (cmProfileError);
    00353                 }
    00354         }
    00355
    00356         return (err);
    00357 }

PI_Boolean CMValInput | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValLink | ( | CMProfileRef | prof | ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValMftOutput | ( | CMProfileRef | prof | ) |

| Referenced by CMValOutput().

PI_Boolean CMValNamed | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValOutput | ( | CMProfileRef | prof,
|  | icHeader * | aHeader
| ) |

| Referenced by CMValidateProfile().

PI_Boolean CMValRGB | ( | CMProfileRef | prof | ) |

| Referenced by CMValDisplay(), and CMValInput().